#include "HardwareInfo.c"
#include "JMLib.c"
#include <GetMagnet.h>
#include <SetDisplayString.h>
#include <SetInBeep.h>

int main(void)
{
    MRCU_Init();
    int var0 = 0;
    while (1)
    {
        var0 = GetMagnet(_P1_);
        if ( var0>0 )
        {
            SetDisplayString(1, "YES");
            SetInBeep(ON);
        }
        else
        {
            SetDisplayString(1, "NO");
            SetInBeep(OFF);
        }
    }
    while(1);
}

